from app.schemas.author import Author, AuthorCreate, AuthorInDB, AuthorUpdate, AuthorWithManga
from app.schemas.genre import Genre, GenreCreate, GenreInDB, GenreUpdate
from app.schemas.manga import Manga, MangaCreate, MangaInDB, MangaUpdate, MangaWithRelations
from app.schemas.publisher import (
    Publisher,
    PublisherCreate,
    PublisherInDB,
    PublisherUpdate,
    PublisherWithManga,
)

__all__ = [
    "Author",
    "AuthorCreate",
    "AuthorInDB",
    "AuthorUpdate",
    "AuthorWithManga",
    "Genre",
    "GenreCreate",
    "GenreInDB",
    "GenreUpdate",
    "Manga",
    "MangaCreate",
    "MangaInDB",
    "MangaUpdate",
    "MangaWithRelations",
    "Publisher",
    "PublisherCreate",
    "PublisherInDB",
    "PublisherUpdate",
    "PublisherWithManga",
]
